ESG
Entities
GET
https://api.textreveal.com/v3/entities/{entity_id}/esg/summary
Request
Response
text*stringMarkdown summary of the entity.
Will contain a list of the most relevant cases since 2020. Each key point will be linked to the corresponding dashboard url to see the full context.
Example: "Since 2020, [company_name] has faced ongoing controversies, including **cybersecurity breaches and service outages** that ..."
Response
{
"text": "Since 2020, [company_name] has faced ongoing controversies, including **cybersecurity breaches and service outages** that ..."
}Error
Bad request
message*stringError message.
Example: "The server returned an unexpected response"code*integerError code.
Example: 400reason*string (enum)Error reason.
Values: "invalid", "timeout", "offline", "unknown", "not_found", "unauthorized", "forbidden", "internal", "too_many_requests"errorsobject[]Possible error causes, like query params, headers or body.
Response
{
"message": "The server returned an unexpected response",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "Expected number, received string",
"field": "size",
"reason": "invalid_type"
}
]
}Not authorized
message*stringExample: "Not authorized to access this resource"code*number (enum)Error code.
Values: 403reason*string (enum)Values: "forbidden"
Response
{
"message": "Not authorized to access this resource",
"code": 403,
"reason": "forbidden"
}No entity found
message*stringExample: "[record] not found."code*number (enum)Error code.
Values: 404reason*string (enum)Values: "not_found"
Response
{
"message": "[record] not found.",
"code": 404,
"reason": "not_found"
}